# Uses of Class
java.awt.EventQueue

Packages that use EventQueue
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of EventQueue in java.awt

Methods in java.awt that return EventQueue
Modifier and Type
Method
Description
`final EventQueue`
Toolkit.`getSystemEventQueue()`
Returns the `EventQueue` for this application.
`protected abstract EventQueue`
Toolkit.`getSystemEventQueueImpl()`
A method used by toolkit subclasses to get the `EventQueue`.
Methods in java.awt with parameters of type EventQueue
Modifier and Type
Method
Description
`void`
EventQueue.`push(EventQueue newEventQueue)`
Replaces the existing `EventQueue` with the specified one.